# 78. Spørring: Finn "Fields" etter "externalKey"

Finn "Fields" ved hjelp av tredjepartens externalKey som ble lagt inn under registreringsprosedyren for "Field".

### <mark style="color:oransje;">VALG 1</mark> bruker getFields-spørring

{% code overflow="wrap" lineNumbers="true" %}

```graphql
spørring FindFieldsByExternalKeyOption1 {
  getFields(filter: {
    fieldExternalKey: "<third_party_identificator>"
  }) {
    totalantall
    fields {
      uuid
      navn
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:oransje;">VALG 2</mark> bruker getFarms-spørring

{% code overflow="wrap" lineNumbers="true" %}

```graphql
spørring FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<third_party_identificator>"]) {
      uuid
      navn
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/78.-sporring-finn-fields-etter-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
